
Redmine - Feature #9029

Disable public project creation on a role basis

2011-08-10 16:14 - Jérôme BATAILLE

Status: Closed Start date: 2011-08-10

Priority: Normal Due date:  

Assignee:  % Done: 70%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

This feature implies to :

- Add a new role permission "Add public projects"

- Hide / show the public checkbox in the create / edit project page.

Related issues:

Related to Redmine - Feature #38048: Introduce permission to set a project pu... Closed

Has duplicate Redmine - Feature #6913: An option to prevent making projects p... Closed 2010-11-16

History

#1 - 2011-08-10 16:15 - Jérôme BATAILLE

Our company needs this feature.

We are developing this feature and we will propose a patch very soon.

Hope this feature will please some users :-)

#2 - 2011-08-12 12:34 - Jérôme BATAILLE

- File feature_9029_public_project_creation_role_permission.diff added

Here is the patch with FR and EN translations.

Not testing included.

#3 - 2011-08-12 12:35 - Jérôme BATAILLE

- Assignee changed from Jean-Philippe Lang to Jérôme BATAILLE

#4 - 2011-08-12 12:35 - Jérôme BATAILLE

- Assignee changed from Jérôme BATAILLE to Jean-Philippe Lang

- % Done changed from 0 to 70

#5 - 2011-08-16 12:13 - Jérôme BATAILLE

- File feature_9029_public_project_creation_role_permission_V1.1.diff added

A fix has been added about the permission determination.

#6 - 2011-08-16 15:02 - Jérôme BATAILLE

- File feature_9029_public_project_creation_role_permission_V1_.2.diff added

Fixed a typo in the diff

#7 - 2011-08-16 15:03 - Jérôme BATAILLE

The patch works with Redmine V1.2.1

#8 - 2012-04-29 10:30 - Jean-Philippe Lang

- Subject changed from Disable public project creation on a rôle basis to Disable public project creation on a role basis

This patch only hides the checkbox but does not check for permission when submitting the form.
#9 - 2017-03-27 04:55 - Go MAEDA

- Has duplicate Feature #6913: An option to prevent making projects public added

#10 - 2021-02-13 08:19 - Kevin Fischer

- File public-project-permission-9029.patch added

Mizuki Ishikawa, Mitsuyoshi Kawabata and me made another patch to solve this issue.

We added a new permission called "Publish Project" which allows (un)publishing a project.

When you don't have that permission we just show the current state of the project as a label.

We could not find a proper CSS class for just displaying a label inside the setting tab, so we just wrote the style directly in the style attribute for now. If

anyone has a better suggestion please tell us.

We added unit tests and a migration which will give the "Publish Project" permission to all Roles that had the "Add Project" or "Edit Project"

permission until now to preserve the permissions of existing users.

#11 - 2021-02-22 03:12 - Mizuki ISHIKAWA

When allowing users to manage projects, system administrators need to worry about projects that should be private are not public.

Unintended disclosure of information can lead to major information leaks.

By adding this permission, only some trusted users can publish the project.

It will reassure many system administrators.

#12 - 2021-04-07 04:32 - Go MAEDA

I am not a big fan of adding new permission in the project setting.

I personally do not think there is much necessity of this feature for the following reasons:

As long as admin enables "Login required", the project will never become world-accessible

It complicates permission management. Two permissions "Edit project" and "Publish project" are required to change the project's "public" setting

#13 - 2021-04-07 04:52 - Mizuki ISHIKAWA

Go MAEDA wrote:

I am not a big fan of adding new permission in the project setting.

I personally do not think there is much necessity of this feature for the following reasons:

As long as admin enables "Login required", the project will never become world-accessible

 I think there may be projects that have information that should not be shown to unauthorized users even if they are logged in (in some cases,

employees of other companies are invited to Redmine).

I think we need a feature that restricts the project from being published by general users.

It complicates permission management. Two permissions "Edit project" and "Publish project" are required to change the project's "public"

setting

 How about adding a setting that "allows general users to publish the project" instead of permissions?

If this setting is turned off, only the administrator can publish the project.

#14 - 2022-12-15 06:25 - Go MAEDA

- Related to Feature #38048: Introduce permission to set a project public added

#15 - 2023-01-12 10:47 - Go MAEDA

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Fixed

The same feature was implemented by #38048.

Files

feature_9029_public_project_creation_role_permission.diff 2.91 KB 2011-08-12 Jérôme BATAILLE
feature_9029_public_project_creation_role_permission_V1.1.diff 2.9 KB 2011-08-16 Jérôme BATAILLE

feature_9029_public_project_creation_role_permission_V1_.2.diff 2.9 KB 2011-08-16 Jérôme BATAILLE

public-project-permission-9029.patch 7.66 KB 2021-02-13 Kevin Fischer
